We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent cd7ee5d commit ae2c7b8Copy full SHA for ae2c7b8
.travis.yml
@@ -6,8 +6,7 @@ branches:
6
- master
7
8
env:
9
- - playbook: collection.yml
10
- distro: centos7
+ - shell_script: collection.sh
11
12
# Run each test playbook in a separate environment.
13
- playbook: deployments.yml
tests/collection.sh
@@ -0,0 +1,17 @@
1
+#!/bin/bash
2
+#
3
+# Collection playbook tests.
4
+set -e
5
+
+# Make sure pip3 is available.
+sudo apt-get update
+sudo apt-get install -y python3-pip python3-setuptools
+pip3 install --upgrade setuptools pip
+# Install dependencies.
+sudo pip3 install ansible
14
+cd collection
15
16
+# Run Ansible playbook.
17
+ansible-playbook -c local -i 'localhost,' main.yml
tests/collection.yml
0 commit comments